This topic describes the prerequisites, version compatibility, and versions of Tablestore SDK for Java. This topic applies to Tablestore SDK for Java V5.0.0 or later.

Prerequisites

  • Tablestore is activated.
  • An AccessKey pair is created. For more information, see Obtain an AccessKey pair.
  • Tablestore SDK for Java V4.0.0 or later supports data versions and time to live (TTL). For more information about data versions and TTL, see Data versions and TTL.

Version compatibility

Latest version: 5.13.5

  • Tablestore SDK for Java V4.x.x: compatible
  • Tablestore SDK for Java V2.x.x: incompatible

Versions

For more information about the versions of Tablestore SDK for Java, see Tablestore SDK for Java.